{% extends "base.html" %}
{% load static %}
{% block css %}


{% endblock css %}

{% block title %}

<h1>Informe Final</h1>

{% endblock title %}


{% block content %}

<div class="row">
	<div class="col-md-12">
		<div class="card">
			<header class="card-heading card-blue">
				<h2 class="card-title">Información General</h2>
			</header>
			<div class="card-body">
				<div class="row">
					<div class="col-md-4">
						<div class="form-group">
							<label for="nombre_alumno" class="control-label">Nombre Alumno: </label>
							<div class="well">
								{{practica.solicitud.alumno}}
							</div>
						</div>
					</div>
					<div class="col-md-4">
						<div class="form-group">
							<label for="rut_alumno" class="control-label">Rut Alumno: </label>
							<div class="well">
								{{practica.solicitud.alumno.rut}}
							</div>
						</div>
					</div>
					<div class="col-md-4">
						<div class="form-group">
							<label for="mail_supervisor" class="control-label">Periodo de Práctica: </label>
							<div class="well">
								Desde: {{practica.fecha_inicio}} Hasta:
							</div>
						</div>
					</div>
				</div>
				<div class="row">
					<div class="col-md-4">
						<div class="form-group">
							<label for="nombre_alumno" class="control-label">Nombre Encargado Practica: </label>
							<div class="well">
								{{practica.solicitud.encargado}}
							</div>
						</div>
					</div>
					<div class="col-md-4">
						<div class="form-group">
							<label for="rut_alumno" class="control-label">Empresa: </label>
							<div class="well">
								{{practica.solicitud.empresa.nombre}}
							</div>
						</div>
					</div>
					<div class="col-md-4">
						<div class="form-group">
							<label for="mail_supervisor" class="control-label">Mail Encargado: </label>
							<div class="well">
								{{practica.solicitud.encargado.user}}@gmail.com
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>
<div class="row">
	<div class="col-md-6">
		<div class="card">
			<header class="card-heading card-blue">
				<h2 class="card-title">Condiciones Personales</h2>
			</header>
			<div class="card-body">
				<div class="row">
					<div class="col-md-12">
						<table class="table table-bordered">
							<thead>
								<th class="text-center">Item</th>
								<th class="text-center">Evaluación</th>
							</thead>
							<input style="display:none" name="pk" value="{{practica.pk}}" type="text">
							<tbody>
								<tr>
									<input type="text" name="6" id="6" style="display:none;">
									<td class="text-center" style="vertical-align: middle">Presentación Personal</td>
									<td class="text-center" style="vertical-align: middle">
										<div class="col-md-12">
										{% if practica.eval_final.presentacion_personal == "B" %}
										<button type="button" data-class="btn-success" class="btn btn-success btn-block">Bueno</button>
										{% elif practica.eval_final.presentacion_personal == "R" %}
										<button type="button" data-class="btn-success" class="btn btn-warning btn-block">Regular</button>
										{% else %}
										<button type="button" data-class="btn-success" class="btn btn-danger btn-block">Deficiente</button>
										{% endif %}
										</div>
									</td>
								</tr>
								<tr>
									<input type="text" name="7" id="7" style="display:none;">
									<td class="text-center" style="vertical-align: middle">Asistencia</td>
									<td class="text-center" style="vertical-align: middle">
										<div class="col-md-12">
											{% if practica.eval_final.asistencia == "B" %}
											<button type="button" data-class="btn-success" class="btn btn-success btn-block">Bueno</button>
											{% elif practica.eval_final.asistencia == "R" %}
											<button type="button" data-class="btn-success" class="btn btn-warning btn-block">Regular</button>
											{% else %}
											<button type="button" data-class="btn-success" class="btn btn-danger btn-block">Deficiente</button>
											{% endif %}
										</div>
									</td>
								</tr>
								<tr>																		<input type="text" name="8" id="8" style="display:none;">
									<td class="text-center" style="vertical-align: middle">Puntualidad</td>
									<td class="text-center" style="vertical-align: middle">
										<div class="col-md-12">
											{% if practica.eval_final.puntualidad == "B" %}
											<button type="button" data-class="btn-success" class="btn btn-success btn-block">Bueno</button>
											{% elif practica.eval_final.puntualidad == "R" %}
											<button type="button" data-class="btn-success" class="btn btn-warning btn-block">Regular</button>
											{% else %}
											<button type="button" data-class="btn-success" class="btn btn-danger btn-block">Deficiente</button>
											{% endif %}
										</div>
									</td>
								</tr>
							</tbody>
						</table>
					</div>
				</div>
			</div>
		</div>
	</div>
	<div class="col-md-6">
		<div class="card">
			<header class="card-heading card-blue">
				<h2 class="card-title">Actitud Ante Sus Superiores</h2>
			</header>
			<div class="card-body">
				<div class="row">
					<div class="col-md-12">
						<table class="table table-bordered">
							<thead>
								<th class="text-center" style="vertical-align: middle">Item</th>
								<th class="text-center" style="vertical-align: middle">Evaluación</th>
							</thead>
							<tbody>
								<tr><input type="text" name="9" id="9" style="display:none;">
									<td class="text-center" style="vertical-align: middle">Desposición de Trabajo</td>
									<td class="text-center" style="vertical-align: middle">
										<div class="col-md-12">
											{% if practica.eval_final.disposicion_trabajo == "B" %}
											<button type="button" data-class="btn-success" class="btn btn-success btn-block">Bueno</button>
											{% elif practica.eval_final.disposicion_trabajo == "R" %}
											<button type="button" data-class="btn-success" class="btn btn-warning btn-block">Regular</button>
											{% else %}
											<button type="button" data-class="btn-success" class="btn btn-danger btn-block">Deficiente</button>
											{% endif %}
										</div>
									</td>
								</tr>
								<tr><input type="text" name="10" id="10" style="display:none;">
									<td class="text-center" style="vertical-align: middle">Respeto a su Superior</td>
									<td class="text-center" style="vertical-align: middle">
										<div class="col-md-12">
											{% if practica.eval_final.respeto_superior == "B" %}
											<button type="button" data-class="btn-success" class="btn btn-success btn-block">Bueno</button>
											{% elif practica.eval_final.respeto_superior == "R" %}
											<button type="button" data-class="btn-success" class="btn btn-warning btn-block">Regular</button>
											{% else %}
											<button type="button" data-class="btn-success" class="btn btn-danger btn-block">Deficiente</button>
											{% endif %}
										</div>
									</td>
								</tr>
								<tr><input type="text" name="11" id="11" style="display:none;">
									<td class="text-center" style="vertical-align: middle">Aceptación de Instrucción</td>
									<td class="text-center" style="vertical-align: middle">
										<div class="col-md-12">
											{% if practica.eval_final.aceptacion_instruccion == "B" %}
											<button type="button" data-class="btn-success" class="btn btn-success btn-block">Bueno</button>
											{% elif practica.eval_final.aceptacion_instruccion == "R" %}
											<button type="button" data-class="btn-success" class="btn btn-warning btn-block">Regular</button>
											{% else %}
											<button type="button" data-class="btn-success" class="btn btn-danger btn-block">Deficiente</button>
											{% endif %}
										</div>
									</td>
								</tr>
							</tbody>
						</table>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>
<div class="row">
	<div class="col-md-6">
		<div class="card">
			<header class="card-heading card-blue">
				<h2 class="card-title">Actitud Ante El Medio</h2>
			</header>
			<div class="card-body">
				<div class="row">
					<div class="col-md-12">
						<table class="table table-bordered">
							<thead>
								<th class="text-center">Item</th>
								<th class="text-center">Evaluación</th>
							</thead>
							<tbody>
								<tr><input type="text" name="1" id="1" style="display:none;">
									<td class="text-center" style="vertical-align: middle">Capacidad de Adaptación</td>
									<td class="text-center" style="vertical-align: middle">
										<div class="col-md-12">
											{% if practica.eval_final.capacidad_adaptacion == "B" %}
											<button type="button" data-class="btn-success" class="btn btn-success btn-block">Bueno</button>
											{% elif practica.eval_final.capacidad_adaptacion == "R" %}
											<button type="button" data-class="btn-success" class="btn btn-warning btn-block">Regular</button>
											{% else %}
											<button type="button" data-class="btn-success" class="btn btn-danger btn-block">Deficiente</button>
											{% endif %}
										</div>
									</td>
								</tr>
								<tr><input type="text" name="2" id="2" style="display:none;">
									<td class="text-center" style="vertical-align: middle">Relación con sus compañeros</td>
									<td class="text-center" style="vertical-align: middle">
										<div class="col-md-12">
											{% if practica.eval_final.relacion_compa == "B" %}
											<button type="button" data-class="btn-success" class="btn btn-success btn-block">Bueno</button>
											{% elif practica.eval_final.relacion_compa == "R" %}
											<button type="button" data-class="btn-success" class="btn btn-warning btn-block">Regular</button>
											{% else %}
											<button type="button" data-class="btn-success" class="btn btn-danger btn-block">Deficiente</button>
											{% endif %}
										</div>
									</td>
								</tr>
								<tr><input type="text" name="3" id="3" style="display:none;">
									<td class="text-center" style="vertical-align: middle">Espíritu de Colaboración</td>
									<td class="text-center" style="vertical-align: middle">
										<div class="col-md-12">
											{% if practica.eval_final.colaboracion == "B" %}
											<button type="button" data-class="btn-success" class="btn btn-success btn-block">Bueno</button>
											{% elif practica.eval_final.colaboracion == "R" %}
											<button type="button" data-class="btn-success" class="btn btn-warning btn-block">Regular</button>
											{% else %}
											<button type="button" data-class="btn-success" class="btn btn-danger btn-block">Deficiente</button>
											{% endif %}
										</div>
									</td>
								</tr>
								<tr><input type="text" name="4" id="4" style="display:none;">
									<td class="text-center" style="vertical-align: middle">Interés en su Trabajo</td>
									<td class="text-center" style="vertical-align: middle">
										<div class="col-md-12">
											{% if practica.eval_final.interes == "B" %}
											<button type="button" data-class="btn-success" class="btn btn-success btn-block">Bueno</button>
											{% elif practica.eval_final.interes == "R" %}
											<button type="button" data-class="btn-success" class="btn btn-warning btn-block">Regular</button>
											{% else %}
											<button type="button" data-class="btn-success" class="btn btn-danger btn-block">Deficiente</button>
											{% endif %}
										</div>
									</td>
								</tr>
								<tr><input type="text" name="5" id="5" style="display:none;">
									<td class="text-center" style="vertical-align: middle">Pro-actividad</td>
									<td class="text-center" style="vertical-align: middle">
										<div class="col-md-12">
											{% if practica.eval_final.proactividad == "B" %}
											<button type="button" data-class="btn-success" class="btn btn-success btn-block">Bueno</button>
											{% elif practica.eval_final.proactividad == "R" %}
											<button type="button" data-class="btn-success" class="btn btn-warning btn-block">Regular</button>
											{% else %}
											<button type="button" data-class="btn-success" class="btn btn-danger btn-block">Deficiente</button>
											{% endif %}
										</div>
									</td>
								</tr>
							</tbody>
						</table>
					</div>
				</div>
			</div>
		</div>
	</div>
	<div class="col-md-6">
		<div class="card">
			<header class="card-heading card-blue">
				<h2 class="card-title">Conocimientos Demostrados</h2>
			</header>
			<div class="card-body">
				<div class="row">
					<div class="col-md-12">
						<table class="table table-bordered">
							<thead>
								<th class="text-center" style="vertical-align: middle">Item</th>
								<th class="text-center" style="vertical-align: middle">Evaluación</th>
							</thead>
							<tbody>
								<tr><input type="text" name="12" id="12" style="display:none;">
									<td class="text-center" style="vertical-align: middle">Nivel de Conocimientos</td>
									<td class="text-center" style="vertical-align: middle">
										<div class="col-md-12">
											{% if practica.eval_final.nivel_conocimientos == "B" %}
											<button type="button" data-class="btn-success" class="btn btn-success btn-block">Bueno</button>
											{% elif practica.eval_final.nivel_conocimientos == "R" %}
											<button type="button" data-class="btn-success" class="btn btn-warning btn-block">Regular</button>
											{% else %}
											<button type="button" data-class="btn-success" class="btn btn-danger btn-block">Deficiente</button>
											{% endif %}
										</div>
									</td>
								</tr>
								<tr><input type="text" name="13" id="13" style="display:none;">
									<td class="text-center" style="vertical-align: middle">Espíritu de Estudio</td>
									<td class="text-center" style="vertical-align: middle">
										<div class="col-md-12">
											{% if practica.eval_final.estudio == "B" %}
											<button type="button" data-class="btn-success" class="btn btn-success btn-block">Bueno</button>
											{% elif practica.eval_final.estudio == "R" %}
											<button type="button" data-class="btn-success" class="btn btn-warning btn-block">Regular</button>
											{% else %}
											<button type="button" data-class="btn-success" class="btn btn-danger btn-block">Deficiente</button>
											{% endif %}
										</div>
									</td>
								</tr>
								<tr><input type="text" name="14" id="14" style="display:none;">
									<td class="text-center" style="vertical-align: middle">Actitud ante situaciones nuevas</td>
									<td class="text-center" style="vertical-align: middle">
										<div class="col-md-12">
											{% if practica.eval_final.actitud_situaciones_nuevas == "B" %}
											<button type="button" data-class="btn-success" class="btn btn-success btn-block">Bueno</button>
											{% elif practica.eval_final.actitud_situaciones_nuevas == "R" %}
											<button type="button" data-class="btn-success" class="btn btn-warning btn-block">Regular</button>
											{% else %}
											<button type="button" data-class="btn-success" class="btn btn-danger btn-block">Deficiente</button>
											{% endif %}
										</div>
									</td>
								</tr>
							</tbody>
						</table>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>
<div class="row">
	<div class="col-md-12">
		<div class="card">
			<header class="card-heading card-blue">
				<h2 class="card-title">Observaciones Finales del Encargado</h2>
			</header>
			<div class="card-body">
				<div class="row">
					<div class="col-md-12">
						<div class="form-group">
							<label for="funciones_realizadas" class="control-label">Funciones Realizadas: </label>
							<textarea readonly class="form-control" name="funciones_realizadas" id="funciones_realizadas" rows="10">{{practica.eval_final.funciones_realizadas}}</textarea>
						</div>
					</div>
				</div>
				<div class="row">
					<div class="col-md-12">
						<div class="form-group">
							<label for="observaciones" class="control-label">Observaciones, deficiencias educacionales, o acciones de mejoramiento: </label>
							<textarea readonly class="form-control" name="observaciones" id="observaciones" rows="10">{{practica.eval_final.observaciones}}</textarea>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>
<div class="row">
	<div class="col-md-12">
		<div class="card">
			<header class="card-heading card-blue">
				<h2 class="card-title">Observaciones del director</h2>
			</header>
			<div class="card-body">
			<form action="{% url 'obs_director_final' %}" method="post">
			{% csrf_token %}
			<input style="display:none" name="pk" value="{{practica.pk}}" type="text">
				<div class="row">
					<div class="col-md-12">
						<div class="form-group">
							<label for="" class="control-label">Observaciones del Director: </label>
							{% if practica.eval_final.obs_director %}
							<textarea readonly class="form-control" name="obs_director" id="obs_director" rows="10">{{practica.eval_final.obs_director.text}}</textarea>
							{% else %}
							<textarea class="form-control" name="obs_director" id="obs_director" rows="10"></textarea>
							{% endif %}
						</div>
					</div>
				</div>
				<div class="row">
				{% if not practica.eval_final.obs_director %}
					<div class="col-md-12">
						<button type="submit" class="btn btn-block btn-success"><i class="fa fa-check"></i> Enviar</button>
					</div>
				{% endif %}
				</div>
			</form>
			</div>
		</div>
	</div>
</div>


{% endblock content %}


{% block javascript %}


{% endblock javascript %}